<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
if ( isset($_GET['action']) && !empty($_GET['action'])) 
{
	$action = trim($_GET['action']);
	if ( isset($_GET['id']) && !empty($_GET['id']) && is_numeric($_GET['id']))
	{
		if (!function_exists('file_put_contents'))
		{
			function file_put_contents ($filename, $content)
			{
				if ($fp = @fopen($filename, 'w'))
				{
					$result = fwrite($fp, $content);
					fclose ($fp);
					return $result;
				}
				else
				{
					return false;
				}
			}
		}
		$id = trim($_GET['id']);
		if ( $action == "up" ) 
		{
			$menu_file = file("../data/menu.csv");
			$i = 1;
			foreach( $menu_file as $line )
			{
				$elem = explode(";",$line);
				if ( $elem[0] == $id) $key = $i;
				++$i;
			}
			if ( $key > 0 && $key != 1 )
			{
					$key--;
					$contmenu = "";
					for( $i = 0; $i <= $key - 2; $i++ ) 
					{
						$contmenu = $contmenu.$menu_file[$i];
					}
					$contmenu = $contmenu.$menu_file[$key];
					$contmenu = $contmenu.$menu_file[$key - 1];
					for( $i = ($key + 1); $i < count($menu_file); $i++ )
					{
						$contmenu = $contmenu.$menu_file[$i];	
					}
					if(!file_put_contents('../data/menu.csv',$contmenu)) die('Ошибка записи меню');
			}
		}
		elseif ( $action == "down")
		{
			$menu_file = file("../data/menu.csv");
			$i = 1;
			foreach( $menu_file as $line )
			{
				$elem = explode(";",$line);
				if ( $elem[0] == $id) $key = $i;
				++$i;
			}
			if ( $key > 0 && $key < count($menu_file) )
			{
					$key--;
					$contmenu = "";
					for( $i = 0; $i <= $key - 1; $i++ )
					{
						$contmenu = $contmenu.$menu_file[$i];
					}
					$contmenu = $contmenu.$menu_file[$key + 1];
					$contmenu = $contmenu.$menu_file[$key];
					for( $i = ($key + 2); $i < count($menu_file); $i++ )
					{
						$contmenu = $contmenu.$menu_file[$i];	
					}
					//echo($contmenu);
					if(!file_put_contents('../data/menu.csv',$contmenu)) die('Ошибка записи меню');
			}	
		}
		elseif ( $action = "delete" )
		{
			$menu_file = file("../data/menu.csv");
			$output = "";
			foreach( $menu_file as $line )
			{
				$elem = explode(";", $line);
				if ( $id != trim($elem[0]) ) $output .= $line; 
			}
			//echo($output);
			file_put_contents("../data/menu.csv",$output);
		}
	}
}

?>
<html>
<body>
<br>
<h3>Редактирование меню</h3><hr>
<p>Для изменения порядка следования пунктов меню, воспользуйтесь соответствующими ссылками.</p>
<table width=100%>
<tr>
	<td width=30><strong>ID</strong></td>
	<td ><strong>Псевдоним</strong></td>
	<td ><strong>Название ссылки</strong></td>
	<td width=100><strong>Родительская страница</strong></td>
	<td width=40></td>
	<td width=20></td>
</tr>
<?php

$menu=file('../data/menu.csv');
foreach($menu as $item) 
{
	$elem = explode(";",$item);
	echo('<tr style="background-color:#FFF;">
			<td><p style="margin:3px;">'.$elem[0].'</p></td>
			<td>&nbsp;'.$elem[1].'</td>
			<td>&nbsp;'.$elem[2].'</td>
			<td>&nbsp;'.$elem[3].'</td>
			<td><a href=admin_menu.php?action=up&id='.$elem[0].'>
<img src=images/up.png title="Вверх"></a>&nbsp;<a href=admin_menu.php?action=down&id='.$elem[0].'><img src=images/down.png title="Вниз"></a> 
			</td>
			<td><a href=admin_menu.php?action=delete&id='.$elem[0].'> <img src=images/pause.png title="Временно Отключить"></a></td>
			</tr>');	
}
?></table>

</body>
</html>
<?php
require_once("footer.php");
?>